Subject: Re: Use-after-free in ep_remove_wait_queue

From: Rainer Weikusat <[email-masked]>
Date: Fri, 06 Nov 2015 15:15:44 +0000

Jason Baron <[email-masked]> writes:
> On 11/06/2015 08:06 AM, Dmitry Vyukov wrote:
>> On Mon, Oct 12, 2015 at 2:17 PM, Dmitry Vyukov <[email-masked]> wrote:
>>> On Mon, Oct 12, 2015 at 2:14 PM, Eric Dumazet <[email-masked]> wrote:
>>>> On Mon, 2015-10-12 at 14:02 +0200, Michal Kubecek wrote:
>>>>
>>>>> Probably the issue discussed in
>>>>>
>>>>>   http://thread.gmane.org/gmane.linux.kernel/2057497/
>>>>>
>>>>> and previous related threads.
>>>>>
>>>>
>>>> Same issue, but Dmitry apparently did not trust me.
>>>
>>> Just wanted to make sure. Let's consider this as fixed.
>> 
>> 
>> Is it meant to be fixed now?
>> 
>> I am still seeing use-after-free reports in ep_unregister_pollwait on
>> d1e41ff11941784f469f17795a4d9425c2eb4b7a (Nov 5).
>> 
>
> Indeed - No formal patch has been posted for this yet - we've agreed
> that Rainer is going to post the patch for this issue.

I should be able to put some more work into this on Sunday or possibly
(but unlikely) later today (supposed to mean that I'll also actually do
that).